# ctfplot.py
# plot automatically determined CTF parameters in various ways
# requires Gnuplot python module

import sys
from sys import argv
from math import *
import Numeric
import Gnuplot
import Gnuplot.funcutils
from string import *

g=Gnuplot.Gnuplot()
g('set data style points')

argv[1]=int(argv[1])

points=[]
fnum=1
while (fnum<len(argv)-1):
	fnum=fnum+1
	infile=open(argv[fnum],"r")
	lines=infile.readlines()
	infile.close()
	
	i=0
	while (i<len(lines)):
		tmp=split(lines[i])
		lines[i]=[tmp[0]]
		lines[i].extend(split(tmp[1],','))
		i=i+1
	
	i=len(lines)-1
	lines2=[]
	while (i>=0) :
		j=i+1
		while (j<len(lines)):
			if (lines[i][0]==lines[j][0]):
				break
			j=j+1
		else:
			lines2.append(lines[i])
		i=i-1
	
	points.append([])
	for i in lines2:
		if (argv[1]==1):
			points[fnum-2].append([-float(i[1]),float(i[2])])
		if (argv[1]==2):
			points[fnum-2].append([-float(i[1]),sqrt(float(i[2]))/1.570796])
	g.replot(points[fnum-2])

#g.plot(points[0],points[1])
raw_input('Please press return to continue...\n')

g.hardcopy()
#g('set terminal postscript color')
#g('set output "|lpr"')
#g.replot()
